GatewayQueueEvent (Apache Geode 1.13.0)
Date: 2020-09-07

org.apache.geode.cache.wan

## Interface GatewayQueueEvent<K,V>

- All Known Subinterfaces:
    AsyncEvent<K,V>

      public interface GatewayQueueEvent<K,V>

  Represents `Cache` events going through `GatewaySender`s.
  Since:
    GemFire 7.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getCallbackArgument()` Returns the callbackArgument associated with this event.
    `V` | `getDeserializedValue()` Returns the deserialized value associated with this event.
    `K` | `getKey()` Returns the key associated with this event.
    `Operation` | `getOperation()` Returns the `Operation` that triggered this event.
    `Region<K,V>` | `getRegion()` Returns the `Region` associated with this AsyncEvent
    `byte[]` | `getSerializedValue()` Returns the serialized form of the value associated with this event.

- - ### Method Detail

    - #### getRegion

          Region<K,V> getRegion()

      Returns the `Region` associated with this AsyncEvent
      Returns:
        the `Region` associated with this AsyncEvent OR null if `Region` not found (e.g. this can happen if it is destroyed).

    - #### getOperation

          Operation getOperation()

      Returns the `Operation` that triggered this event.
      Returns:
        the `Operation` that triggered this event

    - #### getCallbackArgument

          Object getCallbackArgument()

      Returns the callbackArgument associated with this event.
      Returns:
        the callbackArgument associated with this event

    - #### getKey

          K getKey()

      Returns the key associated with this event.
      Returns:
        the key associated with this event

    - #### getDeserializedValue

          V getDeserializedValue()

      Returns the deserialized value associated with this event.
      Returns:
        the deserialized value associated with this event
      Throws:
        `IllegalStateException` - may be thrown if the event's value was stored off-heap and `AsyncEventListener.processEvents(java.util.List)` has already returned.

    - #### getSerializedValue

          byte[] getSerializedValue()

      Returns the serialized form of the value associated with this event.
      Returns:
        the serialized form of the value associated with this event
      Throws:
        `IllegalStateException` - may be thrown if the event's value was stored off-heap and `AsyncEventListener.processEvents(java.util.List)` has already returned.